require 'test_helper'

class SearchServiceTest < ActiveSupport::TestCase

  test 'fetch with all search params' do
    LearningObject.reindex
    LearningObject.searchkick_index.refresh
    #FIXME: tags not working
    params = {
      :page => 1,
      :results_per_page => 10,
      :order => 'score', 
      :query => 'teste', 
      :search_class => 'LearningObject', 
      :tags => ['Matemática'],
      :types => ['Imagem'], 
      :sources => ['UFPR institution']
    }

    service = SearchService.new(Search.new(params), users(:john))
    assert_equal [learning_objects(:search)], service.fetch
  end

end